
Foreman - Bug #5676

VMware Compute Profile Can't Change Interface

05/12/2014 02:23 PM - Mike McRill

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have a VMware compute profile created and it's default to the top most network name and NIC type of E1000.  If I change it to

VMXNET3 and the correct network name and click save, it doesn't save.  Recreating the profile seems to work OK.

No errors are reported in the production log.

Related issues:

Is duplicate of Foreman - Bug #5652: vmWare Compute Resources not being honored Closed 05/09/2014

History

#1 - 05/12/2014 02:24 PM - Mike McRill

EDIT:  Recreating a new compute profile does not fix the issue--it still shows NIC type of E1000 and the top most network name.

#2 - 05/12/2014 02:24 PM - Mike McRill

Looks like LUN is the same thing--it defaults to the top most LUN and subsequent changes aren't saved.

#3 - 05/12/2014 02:26 PM - Mike McRill

In the production log, it looks like it's not even taking the parameters specified in the web interface from the POST:

Started PUT "/compute_profiles/5-web-server/compute_attributes/2" for 10.30.39.50 at 2014-05-12 09:25:08 -0500

Processing by ComputeAttributesController#update as */*

Parameters: {"utf8"=>"✓", "authenticity_token"=>"xxx/k=", "compute_attribute"=>{"vm_attrs"=>{"cpus"=>"1", "corespersocket"=>"2",

"memory_mb"=>"1024", "cluster"=>"LAN", "path"=>"/Web Developers", "guest_id"=>"centos64Guest",

"interfaces_attributes"=>{"new_interfaces"=>{"type"=>"VirtualE1000", "network"=>"dvportgroup-526", "_delete"=>""}, "0"=>{"type"=>"VirtualVmxnet3",

"network"=>"dvportgroup-530", "_delete"=>""}}, "volumes_attributes"=>{"new_volumes"=>{"datastore"=>"wrongdatastore", "name"=>"Hard disk",

"size_gb"=>"10", "thin"=>"true", "_delete"=>""}, "0"=>{"datastore"=>"rightdatastore", "name"=>"Hard disk", "size_gb"=>"10", "thin"=>"true",

"_delete"=>""}}, "scsi_controller_type"=>"VirtualLsiLogicController"}}, "compute_profile_id"=>"5-web-server", "id"=>"2"}

Successfully decrypted field for Foreman::Model::Vmware VMware

Redirected to https://ddpuppet/compute_profiles/5-web-server

Completed 302 Found in 292ms (ActiveRecord: 3.8ms)

#4 - 05/12/2014 02:32 PM - Dominic Cleal

- Is duplicate of Bug #5652: vmWare Compute Resources not being honored  added

#5 - 05/12/2014 02:32 PM - Dominic Cleal

- Status changed from New to Duplicate

I think this is the issue I'm fixing via #5652 - a patch is available if you have the opportunity to test it.
